SolrDocument::valid
SolrDocumentField::__construct
Solr
PHP Manual

# The SolrDocumentField class

## Wstęp

This represents a field in a Solr document. All its properties are read-only.

## Krótki opis klasy

SolrDocumentField
final SolrDocumentField {
/* Właściwości */
readonly public string $name ;
readonly public float $boost ;
readonly public array $values ;
/* Metody */
__construct ( void )
public void __destruct ( void )
}

## Właściwości

name

  The name of the field.

boost

  The boost value for the field

values

  An array of values for this field

## Spis treści

- SolrDocumentField::__construct — Constructor
- SolrDocumentField::__destruct — Destructor

SolrDocument::valid
SolrDocumentField::__construct
Solr
PHP Manual